Bug 450360 - lremovexattr permission denied in permissive mode, no event logged.
lremovexattr permission denied in permissive mode, no event logged.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 20:29 EDT by Bill C. Riemers
Modified: 2009-07-14 12:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2008-06-06 20:29:09 EDT
Description of problem:

When running "rsync -aXHSA --link-dest ..." as part of my backup script I am
getting the following error:

rsync:  rsync_xal_clear: lremovexattr(".","security.selinux") failed: Permission
denied (13)
rsync:  rsync_xal_clear: lremovexattr("lost+found","security.selinux") failed:
Permission denied (13)

I changed selinux to permissive mode, but I still get the same errors.  The only
way I can avoid this error is to completely deactivate selinux.

No error message is logged in /var/log/audit/audit.log .


Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Stephen Smalley 2008-06-10 16:21:56 EDT
Bug in rsync:  don't try to remove the SELinux attribute.
SELinux doesn't ever allow removal of its attributes if enabled; you can change
the label, but all data must be labeled.

If we really had to support this, we could introduce a permission for it, but
I'm not keen on that.  Or perhaps make it yet another thing subject to
CAP_MAC_ADMIN.
Comment 2 Eric Paris 2008-06-10 16:35:15 EDT
even if we did make this a CAP_MAC_ADMIN security check I wouldn't recommend
putting this in policy for anything, so it'd be a pointless denial all the time...
Comment 3 Bug Zapper 2009-06-09 21:27:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:31:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.